%bcond_without v4l
%bcond_without unit_at_a_time

%kmdl      spca5xx

Name: spca5xx
Version: 0.60
%define date 20060501
Release: 8%{?dist}
Summary: spca5xx video for linux (v4l) driver.
License: GPL
Group: System Environment/Kernel
Source0: http://mxhaard.free.fr/spca50x/Download/spca5xx-%{date}.tar.gz
Patch0: spca5xx-0.60-unitatatime.patch
Patch1: spca5xx_2.6.18.patch
URL: http://mxhaard.free.fr/
BuildRoot: %{_tmppath}/%{name}-root
%{?with_v4l:BuildRequires: video4linux-kernheaders}
%{?with_v4l:Requires:    video4linux}
%kmdl_parentdependencies

%description
spca5xx video for linux (v4l) driver, providing support for webcams
and digital cameras based on the spca5xx range of chips manufactured
by SunPlus Sonix Z-star Vimicro Conexant Etoms Transvision Mars-Semi
Pixart.

%package -n %kmdl_name
%kmdl_dependencies
Summary:    spca5xx video for linux (v4l) driver.
Group: System Environment/Kernel
%{?with_v4l:Requires: %{kmdl_nameof video4linux}}

%description -n %kmdl_name
spca5xx video for linux (v4l) driver, providing
support for webcams and digital cameras based on the spca5xx range of chips
manufactured by SunPlus Sonix Z-star Vimicro Conexant Etoms Transvision Mars-Semi Pixart.

%kmdl_desc

%prep
%setup -q -n spca5xx-%{date}
%{!?with_unit_at_a_time:%patch0 -p1}
%patch1 -p1

%build
rm -rf %{buildroot}
%if %{kmdl_userland}

%else

%kmdl_config
%if %{with v4l}
OLDCPPFLAGS=`(cat %{kmdl_kernelsrcdir}/Makefile; echo -e '\nprint-cppflags:\n\t@echo $(CPPFLAGS)\n')\
  | make -sf- -C %{kmdl_kernelsrcdir} print-cppflags`
make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` \
  CPPFLAGS="-I/usr/include/v4l/linux/include $OLDCPPFLAGS" \
  modules
%else
make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` \
  modules
%endif

%endif

%install
%if %{kmdl_userland}

%else

rm -rf %{buildroot}
mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/usb/media

if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  install -c -m 0644 spca5xx.ko %{buildroot}%{kmdl_moduledir}/drivers/usb/media/
else
  install -c -m 0644 spca5xx.o %{buildroot}%{kmdl_moduledir}/drivers/usb/media/
fi

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc README README-SONIX README-TV8532 RGB-YUV%2fmodule-setting CHANGELOG

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/usb/media/spca5xx.*o

%endif

%changelog
* Fri Oct 20 2006 Paulo Roma <roma@lcg.ufrj.br> 0.60-7
- Included patch for compiling in 2.6.18.

* Wed May 24 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.60.0.

* Tue Mar 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.57.10.

* Sat Jan 07 2006 Paulo Roma <roma@lcg.ufrj.br> 0.58-1
- Initial version.
 
